import 'package:flutter/material.dart';

class Constants {
  // colours
  static const Color kColorPrimary = Color(0xff2ecc71);
  static const Color kColorSecondary = Color(0xff95a5a6);
  static const Color kColorWhite = Color(0xffffffff);
  static const Color kColorBlack = Color(0xffffffff);
  static const Color kColorDisabled = Colors.grey;
  static const Color kColorMidnightBlue = Color(0xff2c3e50);
  static const Color kColorConcrete = Color(0xff95a5a6);
  static const Color kColorSilver = Color(0xffbdc3c7);
  static const Color kColorClouds = Color(0xffecf0f1);

  // strings
  static const String kTextLogIn = 'Login';
  static const String kTextLogOut = 'Logout';
  static const String kTextSignUp = 'Sign Up';
  static const String kTextNavigateSignUp = 'Sign Up Instead';
  static const String kTextNavigateLogIn = 'Login Instead';
  static const String kTextForgotPassword = 'Forgot Password?';

  static const String kTextSetDisplayName = 'Set Display Name';
  static const String kTextSetEmail = 'Set Email';
  static const String kTextSetProfilePic = 'Set Profile Pic';
  static const String kTextSetCompanyId = 'Set Company Id';
  static const String kTextSetPassword = 'Change Password';

  // dimensions
  static const double kHeightHeader = 120;

  // form style
  static const BoxDecoration kStylePrimary = BoxDecoration(color: Constants.kColorPrimary);
  static const BoxDecoration kStyleForm = BoxDecoration(color: Constants.kColorClouds, borderRadius: BorderRadius.all(Radius.circular(10.0)));

  // text style
  static const TextStyle kTextStyleHeader = TextStyle(fontSize: 20.0, fontFamily: 'Montserrat', fontWeight: FontWeight.bold, color: kColorMidnightBlue);
  static const TextStyle kTextStyleHeaderWhite = TextStyle(fontSize: 20.0, fontFamily: 'Montserrat', fontWeight: FontWeight.bold, color: kColorWhite);
  static const TextStyle kTextStyleTitle = TextStyle(fontSize: 18.0, fontFamily: 'Montserrat', fontWeight: FontWeight.bold, color: kColorMidnightBlue);
  static const TextStyle kTextStyleTitleWhite = TextStyle(fontSize: 18.0, fontFamily: 'Montserrat', fontWeight: FontWeight.bold, color: kColorWhite);
  static const TextStyle kTextStyleBody = TextStyle(fontSize: 16.0, fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: kColorMidnightBlue);
  static const TextStyle kTextStyleBodyWhite = TextStyle(fontSize: 16.0, fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: kColorWhite);
  static const TextStyle kTextStyleButton = TextStyle(fontSize: 16.0, fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: kColorWhite);
  static const TextStyle kTextStyleInfo = TextStyle(fontSize: 14.0, fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: kColorMidnightBlue);
  static const TextStyle kTextStyleInfoWhite = TextStyle(fontSize: 14.0, fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: kColorWhite);
  static const TextStyle kTextStyleError = TextStyle(fontFamily: 'Montserrat', fontWeight: FontWeight.normal, color: Colors.red);
}
